Std.shlib: Difference between revisions

From NovaOrdis Knowledge Base
Jump to navigation Jump to search
(Created page with "=Internal= * Projects")
 
 
(7 intermediate revisions by the same user not shown)
Line 1: Line 1:
=Internal=
=Internal=


* [[Projects]]
* [[Projects#Projects|Projects]]
 
=Overview=
 
Common bash functionality, such as <tt>fail</tt> and <tt>debug</tt>, and the logic to parse the corresponding command line switches.
 
=GitHub=
 
<blockquote style="background-color: AliceBlue; border: solid thin LightSteelBlue;">
:<br>https://github.com/NovaOrdis/std.shlib<br><br>
</blockquote>
 
=Version=
 
<pre>
std_shlib_version=1
</pre>
 
Each change must be followed by a version increment.
 
=Integration=
 
<pre>
f=$(dirname $0)/std.shib; [ -f ${f} ] && . ${f} || { echo "${f} not found" 1>&2; exit 1; }
 
function main() {
 
    process-common-arguments $@
 
    for i in ${args}; do
        # process remaining parameters as ${i}
    done
}
 
main $@
</pre>

Latest revision as of 09:54, 4 April 2016

Internal

Overview

Common bash functionality, such as fail and debug, and the logic to parse the corresponding command line switches.

GitHub


https://github.com/NovaOrdis/std.shlib

Version

std_shlib_version=1

Each change must be followed by a version increment.

Integration

f=$(dirname $0)/std.shib; [ -f ${f} ] && . ${f} || { echo "${f} not found" 1>&2; exit 1; }

function main() {

    process-common-arguments $@

    for i in ${args}; do
        # process remaining parameters as ${i}
    done
}

main $@